%define realname opensfx

%bcond_with check

Name:           openttd-%{realname}
Version:        1.0.3
Release:        %mkrel 2
Summary:        OpenSFX sound replacement set for OpenTTD

Group:          Games/Strategy
License:        Creative Commons Sampling Plus 1.0 License
URL:            http://dev.openttdcoop.org/projects/opensfx
Source0:        https://cdn.openttd.org/opensfx-releases/%{version}/opensfx-%{version}-source.tar.xz
BuildArch:      noarch
BuildRequires:  catcodec
BuildRequires:  grfcodec
BuildRequires:  nml
BuildRequires:  dos2unix

%description
OpenSFX is an open source replacement for the original Transport Tycoon
Deluxe base sounds used by OpenTTD.

%prep
%setup -q -n %{realname}-%{version}-source

%build
make clean _V= _E=echo
%make_build _V= _E=echo

%install
mkdir -p %{buildroot}%{_gamesdatadir}/openttd/baseset
%make_build install _V= _E=echo INSTALL_DIR=%{buildroot}%{_gamesdatadir}/openttd/baseset

%if %{with check}
%check
%make_build check _V= _E=echo
%endif

%files
%doc docs/*.txt
%{_gamesdatadir}/openttd/baseset/%{realname}-%{version}.tar


%changelog
* Wed Apr 06 2022 umeabot <umeabot> 1.0.3-2.mga9
+ Revision: 1846021
- Mageia 9 Mass Rebuild

* Sun Nov 07 2021 wally <wally> 1.0.3-1.mga9
+ Revision: 1754394
- new version 1.0.3

* Thu May 20 2021 wally <wally> 1.0.1-1.mga9
+ Revision: 1725897
- new version 1.0.1
- disble check for now

* Wed Feb 12 2020 umeabot <umeabot> 0.2.3-11.mga8
+ Revision: 1492680
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.3-10.mga7
+ Revision: 1265400
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.3-9.mga6
+ Revision: 942565
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.3-8.mga5
+ Revision: 749997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.3-7.mga5
+ Revision: 683255
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.3-6.mga4
+ Revision: 508778
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.3-5.mga3
+ Revision: 362177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 dams <dams> 0.2.3-4.mga3
+ Revision: 257720
- clean/update specfile

* Sun Jan 09 2011 wally <wally> 0.2.3-3.mga1
+ Revision: 1691
- remove old conflicts
- imported package openttd-opensfx


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdv2011.0
+ Revision: 613542
- rebuild

* Tue Apr 13 2010 Jani Välimaa <wally@mandriva.org> 0.2.3-1mdv2010.1
+ Revision: 534624
- import openttd-opensfx


